summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Julian Grinblat2020-12-26 09:34:38 +0100
committer Willy Sudiarto Raharjo2020-12-26 09:34:38 +0100
commite245029676be606eb57b262b3f217e0117f0cf96 (patch)
treec640db706c4ac20d3f25768bb47f2e9f55887caa /libraries
parent9f645bf8bebd46a6f050e52a20bb0e62a05138c6 (diff)
downloadslackbuilds-e245029676be606eb57b262b3f217e0117f0cf96.tar.gz
libraries/tree-sitter: Added (parser generator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/tree-sitter/README4
-rw-r--r--libraries/tree-sitter/slack-desc19
-rw-r--r--libraries/tree-sitter/tree-sitter.SlackBuild89
-rw-r--r--libraries/tree-sitter/tree-sitter.info10
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/tree-sitter/README b/libraries/tree-sitter/README
new file mode 100644
index 0000000000..55e7321e7f
--- /dev/null
+++ b/libraries/tree-sitter/README
@@ -0,0 +1,4 @@
+Tree-sitter is a parser generator tool and an incremental
+parsing library. It can build a concrete syntax tree for a
+source file and efficiently update the syntax tree as the
+source file is edited.
diff --git a/libraries/tree-sitter/slack-desc b/libraries/tree-sitter/slack-desc
new file mode 100644
index 0000000000..a9210f6f2f
--- /dev/null
+++ b/libraries/tree-sitter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tree-sitter: tree-sitter (parser generator)
+tree-sitter:
+tree-sitter: Tree-sitter is a parser generator tool and an incremental parsing
+tree-sitter: library. It can build a concrete syntax tree for a source file and
+tree-sitter: efficiently update the syntax tree as the source file is edited.
+tree-sitter:
+tree-sitter:
+tree-sitter:
+tree-sitter:
+tree-sitter:
+tree-sitter: https://github.com/tree-sitter/tree-sitter
diff --git a/libraries/tree-sitter/tree-sitter.SlackBuild b/libraries/tree-sitter/tree-sitter.SlackBuild
new file mode 100644
index 0000000000..e946d4a3a8
--- /dev/null
+++ b/libraries/tree-sitter/tree-sitter.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for tree-sitter
+
+# Copyright 2020 Julian Grinblat <julian@dotcore.co.il>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tree-sitter
+VERSION=${VERSION:-0.17.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG PREFIX=/usr LIBDIR=/usr/lib${LIBDIRSUFFIX}
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# remove static library
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/libtree-sitter.a
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/tree-sitter/tree-sitter.info b/libraries/tree-sitter/tree-sitter.info
new file mode 100644
index 0000000000..537171ac37
--- /dev/null
+++ b/libraries/tree-sitter/tree-sitter.info
@@ -0,0 +1,10 @@
+PRGNAM="tree-sitter"
+VERSION="0.17.3"
+HOMEPAGE="https://github.com/tree-sitter/tree-sitter"
+DOWNLOAD="https://github.com/tree-sitter/tree-sitter/archive/0.17.3/tree-sitter-0.17.3.tar.gz"
+MD5SUM="a67232beb761df0ba4cde5f0296bd455"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Julian Grinblat"
+EMAIL="julian@dotcore.co.il"